Get Layouts and Descriptions for an Object With Multiple Record Types

Retrieves lists of layouts and their descriptions.

For a layout description for objects that have more than one record type defined, the recordTypeId can be obtained from the result from /services/data/vXX.X/sobjects/sObject/describe/layouts/

A GET request for objects that have more than one record type defined returns null for the layouts section of the response.

Syntax

URI
/services/data/vXX.X/sobjects/sObject/describe/layouts/recordTypeId
Formats
JSON, XML
HTTP Method
GET
Authentication
Authorization: Bearer token
Parameters
None required

Example

Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Chocolate__c/describe/layouts/0125c000000oIN9AAM -H "Authorization: Bearer token"
Example Response Body
1{
2  "buttonLayoutSection" : {
3    "detailButtons" : [ 
4        ...
5    ]
6  },
7  "detailLayoutSections" : [
8        ...
9  ],
10  "editLayoutSections" : [  
11        ...
12  ],
13  "feedView" : null,
14  "highlightsPanelLayoutSection" : null,
15  "id" : "00ho000000CUJWIAA5",
16  "multirowEditLayoutSections" : [ ],
17  "offlineLinks" : [ ],
18  "quickActionList" : {
19    "quickActionListItems" : [
20            ...
21    ]
22  },
23  "relatedContent" : null,
24  "relatedLists" : [  
25        ...
26  ],
27  "saveOptions" : [ ]
28}